-------------------------------------------------------------------

     =========================================================
     Geant4 - an Object-Oriented Toolkit for Simulation in HEP
     =========================================================

                    Super-Category History file
                    ---------------------------

This file should be used by G4 developers and category coordinators
to briefly summarize all major modifications introduced in the code
at this level and keep track of all relavant tags.
It DOES NOT substitute the CVS log-message one should put at every
committal in the CVS repository !

     ----------------------------------------------------------
     * Reverse chronological order (last date on top), please *
     ----------------------------------------------------------

envs-V10-07-00/ Sep. 25, 2020 B.Morgan
- Remove MOMO

envs-V10-05-00/ Dec. 1, 2019 K.Murakami
 - g4py, updated for 10.6 release
 - g4pym boost_python library name can be specified in cmake (BZ-2059)

envs-V10-04-01 / Nov. 30, 2018 K.Murakami
 - g4py, updated for 10.5 release
 - g4py, fix CMAKE_INSTALL_PREFIX does not work (id 1924)

envs-V10-03-01 / Nov. 24, 2017 K.Murakami
 - g4py, updated for 10.4 release
 - zmq, new ZeroMQ interface (experimental)

envs-V10-02-02 / 7 Dec. 2016 K.Murakami
 - remove G4VisAttributes::Invisible as deprecated

envs-V10-02-01 / 21 Nov. 2016 K.Murakami
 - fixed version strings in __init_.py

envs-V10-02-00 / 18 Nov. 2016 K.Murakami
 - update for 10.3 release
 - CMake modified for unit/integration tests with CTest

envs-V10-01-01 / 20 Nov. 2015 K. Murakami
 - update CMakeLists.txt, change minimum version requirement to 3.3
 - add exported methods requested by enhansment-id 1613

envs-V10-01-00 / 13 Nov. 2015 K. Murakami
 - update CMakeLists.txt for C++11 migration
 - update for 10.2 release, following changes of class interface.

envs-V10-00-03 / 15 Nov. 2014 K. Murakami
- complete migration to cmake for building library. (GNUmakefiles removed)
- update for 10.1 release, following changes of class interface.
- linker problem of OSX was fixed. (OSX Yosemite tested)

envs-V10-00-02 / May 25 2014 Koichi Murakami
 - pyG4EllipticalCone.cc, add missing return in CreateEllipticalCone() method.

envs-V10-00-01 / May 25 2014 Koichi Murakami
 - configure script, physics list is changed to be always turned on.

envs-V10-00-00 / May 25 2014 Koichi Murakami
 - fix compile error on pyG4Polycone

envs-V09-06-00 / 15 November 2013 Koichi Murakami
[g4py]
 - add support for CMake build (experimental)
 - updated for 10.0 release
 - suppress warnings
[MOMO]
  - MOMO.jar updated (GPE disactivated, EnvPanel update)
  - momo-src.jar updated
  - On-line Help document updated

envs-V09-05-03 / 8 November 2012 Koichi Murakami
[g4py]
 - configure script is updated for CMake build
 - updated Geant4 interface for the latest
 - G4SystemOfUnits.hh and G4PhysicalConstants.hh are explictly added.
 - Documentations are updated in Markdown format.
 - some minor updates for examples

envs-V09-05-02 / 23 July 2012 Koichi Murakami
[g4py]
 - configure script: fixed logics for specifying python include path (bug.1316)
 - pyG4VisManager: (bug.1318))
   added static statement for GetVerbosity.
   fixed GetConcreteInstance returns an insufficient class pointer.

envs-V09-05-01 / 21 July 2012 Koichi Murakami
[g4py]
 - scripts updated for internal clhep use
 - updated for 9.5.p01 (bug.1317)

envs-V09-04-01 / 10 November 2011 Koichi Murakami
[g4py]
 - include fixes on OSX Lion

envs-V09-04-00 / 8 November 2011 Koichi Murakami
[g4py]
 - update for 9.5 release
 - eliminate obsolete G4Exception.

envs-V09-03-02 / 2 December 2010 Koichi Murakami
 [g4py]
 - updates for 9.4 release
 - add a new example using GTK (examples/emplot/emcalc_gui.py)
 - experimental support for Python3
 [momo]
 - Uses QGSP_BERT physics list instead of GPE
 - JAVA source codes are included. (momo-src.jar)

envs-V09-03-01 / 21 June 2010 Koichi Murakami
 [g4py]
 - updates for 9.4-beta-cand-02 tag (G4RunManager, physics list)

envs-V09-03-00 / 4 June 010 Koichi Murakami
 [g4py]
 - update for the 9.4 beta release
 - revise usage of MultipleScattering classes
 - bug fix in wrapping of G4GDMLParser
 [momo]
 - revise archaic trajectory drawing

envs-V09-02-02 27 Nov. 2009 Koichi Murakami
 [g4py]
 - linker option is updated.

envs-V09-02-01 20 Nov. 2009 Koichi Murakami
 [g4py]
 - configuration script is updated for 9.3
 - physics list is updated.
 [momo]
 - documentation is updated.

envs-V09-02-00 15 May 2009 Koichi Murakami
 [g4py]
 - configuration script is updated.
   * some fixes
   * modify search paths for inc/lib

envs-V09-01-03  5 Dec. 2008 Koichi Murakami
 [g4py]
 - clean up codes
 - g4py module name is introduced
 - rmove legacy GDML interface

envs-V09-01-02  25 Jun. 2008 Koichi Murakami
 [g4py]
 - update compiler options for gcc 4.3

envs-V09-01-01  14 Jun. 2008 Koichi Murakami
 [g4py]
 - update configure scripts
 - fix some minor bugs

envs-V09-01-00  13 Mar. 2008 Koichi Murakami
 [g4py]
 - fix compilation problems
 - direct usage of G4Version.hh instead of pyG4Version.hh

envs-V09-00-04  26 Nov. 2007 Koichi Murakami
 [g4py]
 - add G4 GDML module support
 - update PL stuffs for 9.1

envs-V09-00-03  16 Nov. 2007 Koichi Murakami
 - sorry, forget commiting this history file.

envs-V09-00-02  13 Nov. 2007 Koichi Murakami
 [g4py]
  - modified for 9.1 release
  - add GDML support / GDML file I/O examples

envs-V09-00-01  07 Aug. 2007 Koichi Murakami
 [g4py]
  - add geometry stuffs(boolean solids) and testing stuffs

envs-V09-00-00  14 July 2007 Koichi Murakami
 [g4py]
  - bug fix
  - update/add geometry stuffs
  - new example of TestEm0

envs-V08-03-01  7 June Koichi Murakami
 [g4py]
  - modified for 9.0 (checked for cand-05)

envs-V08-03-00  27 May Koichi Murakami
 [g4py]
  - implement software abort by Ctrl-C.
  - modified for 8.3/9.0

envs-V08-01-02 01 December 2006 Koichi Murakami
 - pyG4Material.cc : fix namespace problem
 - pyG4VisManager.cc : replace SetVerboisity with SetVerboseLevel for G4.8.2
 - add messenger for ExN03geom

envs-V08-01-01 21 November 2006 Koichi Murakami
 - implement G4ExceptionHandler as translation to Python exceptions
 - remove obsolete method; G4VPhysicalVolume::GetObjectRotation()

envs-V08-01-00 20 November 2006 Koichi Murakami
  [g4py]
  - add MacOSX support
  - more exposed stuffs
  - add physics list module
  - add GUI examples using wxPython

envs-V08-00-09 29 June 2006 Koichi Murakami
  [g4py]
  - fix rpath of boost_python (config/sys/linux.gmk, linuxx8664gcc.gmk)
  - "site-modules/primaries/MedicalBeam/MedicalMeam.cc"
    fix a bug in calculation of cos from a sin value
  - remove duplicated DISCLAIMER (ExN03PhysicsList.cc/hh in site-modules)

envs-V08-00-08 23 June 2006 Hajime Yoshida
   - MOMO.jar is now without Gain
   - MomoHome/vis.mac revbised for new vis (taken from N03)
   [g4py]
   - sh version of configure script
   - G4UserStackingAction: fixed for not being called

envs-V08-00-07 14 June 2006  Koichi Murakami
  [g4py]
   - change install path of site-modules (lib/site-modules -> lib/)
   - remove COPYING
   - update examples/education/lesson2

envs-V08-00-06 13 June 2006  Koichi Murakami
  [g4py]
   -  update expose of G4Track
   -  change python calls pass-by-reference
      (XXXUserAction::XXXAction())

envs-V08-00-05 07 June 2006  Koichi Murakami
  - [g4py] fix segmentation fault at termination

envs-V08-00-04 05 June 2006  Koichi Murakami
  - [g4py] additional moddifications of g4py for G4 8.1 (08-00-ref-05)

envs-V08-00-03 05 June 2006  Koichi Murakami
  - History file is updated.
  - same as the previous

envs-V08-00-02 05 June 2006  Koichi Murakami
  [g4py]
   - modifications for new version (8.1) (08-00-ref-04)
   - disclamer is added

envs-V08-00-01 03 June 2006  Hajime Yoshida
  - addition of new Geant4Py educational examples
	-- g4py/examples/education/lesson1  => measurement of the mass attenuation coefficient
	-- g4py/examples/education/lesson2 => Pythonized novice/N03

envs-V08-00-00 28 February 2006 Hajime Yoshida
 -addition of new Python environments
    -- g4py/source : Python wrappers of geant4/sources
    -- g4py/site-modules : some application modules using the wrappers
    -- g4py/ associated files to configure

envs-V06-02-00 27 November 2004 Hajime Yoshida
 -old depricated files
 -new tag number

envs-V06-01-02 26 Nov 2004 Hajime Yoshida
 - MOMO.jar finally tuned
 - added new example in MomoHome
 - removed obsolete files

envs-V06-01-01 25 Nov 2004 Hajime Yoshida
 - new version of MOMO integrating GAG and Gain

envs-V05-02-03 09 December 2003  Gabriele Cosmo
- New version of MOMO with XML import/export abilities.

envs-V05-02-02 04 November 2003  Gabriele Cosmo
- Added module MOMO with Java archives for UI tools from Naruto.

envs-V05-02-01 17 October 2003  Guy Barrand
- OPACS being deprecated, remove related OPACS things in Geant4.

envs-V04-01-00  06 December 2002 Gabriele Cosmo
- Synchronized HEAD (disclaimer of liability).
- Updates for new G4ApplicationState.

envs-V01-01-01  09 June 2000 John Allison
- Only OPACS and History tagged.

09 June 2000 Guy Barrand
- Some correction to be able to compile
  with 01-01-ref-04

envs-V01-01-00  7th June 2000  Guy Barrand

envs-V00-01-00  10th November 1999  John Allison
- Only OPACS and History tagged.

envs-01-00-02  20th May 1999  John Allison
- Only OPACS and History tagged.
- Archived Momo (cvs remove) which puts it in the Attic.  Can be retrieved
  with cvs update -D 990519 environmants/Momo.
- OPACS development (Guy).
- XVT not currently under development.

envs-00-04-01	7th January 1999 hajime Yoshida
- New Momo with make capabilities along with library selection
- GGEmake updated for the latest g++ (egcs-1.1)
envs-00-04-01  11th December 1998  Hajime Yoshida Masayasu Nagamatu
- The latest version of GGE, the whole *.java, *.class and example files committed

10th December Hajime Yoshida
- Tcl/Tk GAG warns to the binaries compiled with G4UIterminal session
	and stops it.

envs-00-03-04  12th November 1998  John Allison
- Tagged (what was envs-00-30-03?).

12th Nov. 1998 Hajime Yoshida
-many new features added to Momo/java/Momo/GGE
-minor modification to Momo/GGEmake
-addition of Momo/java/Momo/Momo

envs-00-03-02  14th Sep 1998 Hajime Yoshida
	- minor updates in GGE
envs-00-03-01  13th Sep 1998 Hajime Yoshida
	-Momo/GGEmake added README and a macro file
	-Momo/java/Momo/GGE updated.
		BREPs, sample persistent files etc.
envs-00-02-01  3rd Sep 1998 Hajime Yoshida
	Momo/GGEmake
	Momo/java/Momo/GGE
	GGE committed
envs-00-01-03  17th Aug 1998 Hajime Yoshida
- touched many files in Momo Tcl/Tk and Java

envs-00-01-02  15th July 1998  John Allison
- Removed some files in OPACS for beta01 - see OPACS/History.

envs-00-01-01  8th July 1998  John Allison
- Added XVT (moved from interfaces/xvt_standalone_test).
- Forced revision 2.0 on Momo.

6th July 1998  Satoshi Tanaka
- Added Momo (moved from interfaces/standalone_test).

^^^^^^^^^^^^^^^^^^^^ geant4beta  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
=========================================================================
vvvvvvvvvvvvvvvvvvvv geant4alpha vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv

envs-00-05-01  23rd April 1998  Gabriele Cosmo
- Added OPACS directory tagged as OPACS-00-05-01.

envs-00-05-00  19th March 1998  John Allison
- First creation of this super-category.
